LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 12-06-2005, 09:51 AM   #1
wisdom
Member
 
Registered: Feb 2004
Distribution: Fedora 9
Posts: 226

Rep: Reputation: 31
yum update problem fedora core 4


Basically as root i typed 'yum update'

and everything seems to be going okay until i get the following
Code:
Setting up Update Process
Setting up repositories
yjl-noarch                100% |=========================|  951 B    00:00
livna                     100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
yjl-packages              100% |=========================|  951 B    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 365 kB    00:01
updates-re: ################################################## 1067/1067
Added 55 new packages, deleted 2 old in 3.03 seconds
primary.xml.gz            100% |=========================| 891 kB    00:03
extras    : ################################################## 2535/2535
Added 28 new packages, deleted 6 old in 4.17 seconds
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package libcddb-devel.i386 0:1.2.1-1.fc4 set to be updated
---> Downloading header for openoffice.org-graphicfilter to pack into transaction set.
openoffice.org-graphicfil 100% |=========================|  33 kB    00:00
---> Package openoffice.org-graphicfilter.i386 1:2.0.1-143.2.1 set to be updated---> Package rsh.i386 0:0.17-29.1 set to be updated
---> Package libcddb.i386 0:1.2.1-1.fc4 set to be updated
---> Package sox.i386 0:12.17.7-3.mp3.fc4 set to be updated
---> Package libebml-devel.i386 0:0.7.6-1.fc4 set to be updated
---> Package giflib.i386 0:4.1.3-3.lzw.fc4 set to be updated
---> Downloading header for openoffice.org-xsltfilter to pack into transaction set.
openoffice.org-xsltfilter 100% |=========================|  34 kB    00:00
---> Package openoffice.org-xsltfilter.i386 1:2.0.1-143.2.1 set to be updated
---> Package gdk-pixbuf.i386 1:0.22.0-18.fc4.2 set to be updated
---> Package wxGTK-stc.i386 0:2.4.2-12 set to be updated
---> Package imlib2-devel.i386 0:1.2.1-1.fc4 set to be updated
---> Package libdvdcss.i386 0:1.2.9-0.lvn.1.4 set to be updated
---> Package wxGTK-devel.i386 0:2.4.2-12 set to be updated
---> Package file.i386 0:4.16-fc4.1 set to be updated
---> Package openssl097a.i386 0:0.9.7a-3.1 set to be updated
---> Package livna-release.noarch 0:4-0.lvn.7.4 set to be updated
---> Package gtk2-devel.i386 0:2.6.10-2.fc4.4 set to be updated
---> Package bittorrent-gui.noarch 0:4.2.0-1.fc4 set to be updated
---> Downloading header for openoffice.org-writer to pack into transaction set.
openoffice.org-writer-2.0 100% |=========================|  39 kB    00:00
---> Package openoffice.org-writer.i386 1:2.0.1-143.2.1 set to be updated
---> Downloading header for openoffice.org-draw to pack into transaction set.
openoffice.org-draw-2.0.1 100% |=========================|  37 kB    00:00
---> Package openoffice.org-draw.i386 1:2.0.1-143.2.1 set to be updated
---> Package libmatroska-devel.i386 0:0.8.0-1.fc4 set to be updated
---> Package libgcj.i386 0:4.0.2-8.fc4 set to be updated
---> Package openslp.i386 0:1.2.1-2.fc4 set to be updated
---> Package shadow-utils.i386 2:4.0.12-6.FC4 set to be updated
---> Package selinux-policy-targeted.noarch 0:1.27.1-2.14 set to be updated
---> Package pkgconfig.i386 1:0.20-1.fc4.1 set to be updated
---> Package libdvdcss-devel.i386 0:1.2.9-0.lvn.1.4 set to be updated
---> Package libtool-ltdl.i386 0:1.5.16.multilib2-3 set to be updated
---> Package perl.i386 3:5.8.6-18 set to be updated
---> Package giflib-devel.i386 0:4.1.3-3.lzw.fc4 set to be updated
---> Package wxGTK-xrc.i386 0:2.4.2-12 set to be updated
---> Package libtar.i386 0:1.2.11-5 set to be updated
---> Downloading header for openoffice.org-core to pack into transaction set.
openoffice.org-core-2.0.1 100% |=========================| 318 kB    00:01
---> Package openoffice.org-core.i386 1:2.0.1-143.2.1 set to be updated
---> Package cpio.i386 0:2.6-9.FC4 set to be updated
---> Package gtk2.i386 0:2.6.10-2.fc4.4 set to be updated
---> Downloading header for openoffice.org-impress to pack into transaction set.openoffice.org-impress-2. 100% |=========================|  79 kB    00:01
---> Package openoffice.org-impress.i386 1:2.0.1-143.2.1 set to be updated
---> Package libmatroska.i386 0:0.8.0-1.fc4 set to be updated
---> Package imlib2.i386 0:1.2.1-1.fc4 set to be updated
---> Downloading header for openoffice.org-calc to pack into transaction set.
openoffice.org-calc-2.0.1 100% |=========================|  39 kB    00:00
---> Package openoffice.org-calc.i386 1:2.0.1-143.2.1 set to be updated
---> Downloading header for openoffice.org-math to pack into transaction set.
openoffice.org-math-2.0.1 100% |=========================|  38 kB    00:00
---> Package openoffice.org-math.i386 1:2.0.1-143.2.1 set to be updated
--> Running transaction check
--> Processing Dependency: libcddb.so.0 for package: cdinfo
--> Processing Dependency: libcddb.so.0 for package: libcdio
--> Processing Dependency: bittorrent = 4.2.0-1.fc4 for package: bittorrent-gui
--> Processing Dependency: wxGTK-common-devel = 2.4.2-12 for package: wxGTK-devel
--> Processing Dependency: libcddb.so.0 for package: libcdio
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package bittorrent.noarch 0:4.2.0-1.fc4 set to be updated
---> Package wxGTK-common-devel.i386 0:2.4.2-12 set to be updated
--> Running transaction check
--> Processing Dependency: libcddb.so.0 for package: cdinfo
--> Processing Dependency: libcddb.so.0 for package: libcdio
--> Processing Dependency: libcddb.so.0 for package: libcdio
--> Processing Dependency: python-crypto for package: bittorrent
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package python-crypto.i386 0:2.0.1-1.fc4 set to be updated
--> Running transaction check
--> Processing Dependency: libcddb.so.0 for package: cdinfo
--> Processing Dependency: libcddb.so.0 for package: libcdio
--> Processing Dependency: libcddb.so.0 for package: libcdio
--> Finished Dependency Resolution
Error: Missing Dependency: libcddb.so.0 is needed by package cdinfo
Error: Missing Dependency: libcddb.so.0 is needed by package libcdio
i have checked and libcddb.so.0 and cdinfo are both installed but i dont know why it gives error message.. anyone know how i can get around this or exculde these from the update? without having to do each package individually?
 
Old 12-06-2005, 06:34 PM   #2
spooon
Senior Member
 
Registered: Aug 2005
Posts: 1,755

Rep: Reputation: 48
Why don't you try removing the "cdinfo" and "libcdio" packages?
 
Old 12-06-2005, 08:16 PM   #3
wisdom
Member
 
Registered: Feb 2004
Distribution: Fedora 9
Posts: 226

Original Poster
Rep: Reputation: 31
Because i might need them?>
 
Old 12-06-2005, 10:23 PM   #4
spooon
Senior Member
 
Registered: Aug 2005
Posts: 1,755

Rep: Reputation: 48
I can't find "cdinfo" in any of the repositories; and the "libcdio" package from Extras does not depend on any "libcddb.so.0". So you didn't install those packages from the repositories and they might not be the right versions or be compatible with Fedora Core. So I suggest you remove "cdinfo" and "libcdio" and use the "libcdio" package from Extras instead, which includes "cdinfo".
 
Old 12-07-2005, 09:47 AM   #5
wisdom
Member
 
Registered: Feb 2004
Distribution: Fedora 9
Posts: 226

Original Poster
Rep: Reputation: 31
erm i think not have a look atthis after i run
Code:
 yum remove libcdio 

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Removing:
 libcdio                 i386       0.76-1.fc4       installed         525 k
 libcdio                 i386       0.70-1           installed         267 k
 libcdio                 i386       0.71-0           installed         127 k
 libcdio                 i586       0.72-3           installed         629 k
Removing for dependencies:
 cdinfo                  i386       0.71-0           installed         104 k
 gnome-applets           i386       1:2.10.1-9       installed          28 M
 gnome-media             i386       2.10.2-4         installed         5.0 M
 gnome-session           i386       2.10.0-2         installed         1.2 M
 gnome-volume-manager    i386       1.3.1-1          installed         737 k
 gstreamer-ffmpeg        i386       0.8.6-2.2.fc4    installed         5.5 M
 gstreamer-monkeysaudio  i386       0.8.0-1.2.fc4    installed         133 k
 gstreamer-pitfdll       i386       0.8.1-1.2.fc4    installed         180 k
 gstreamer-plugins       i386       0.8.11-0.yjl.2.fc4  installed         3.7 M
 libcddb                 i586       0.9.6-8          installed         138 k
 libcddb                 i386       0.9.6-1          installed          73 k
 libcddb-devel           i386       0.9.6-1          installed         166 k
 libcdio-devel           i386       0.76-1.fc4       installed         3.0 M
 libvcd                  i386       0.7.20-3         installed         171 k
 libvcd-devel            i386       0.7.20-3         installed         319 k
 rhythmbox               i386       0.8.8-2          installed         3.3 M
 sound-juicer            i386       2.10.1-1         installed         1.1 M
 vcdimager               i386       0.7.20-3         installed         897 k
 vcdimager               i386       0.7.23-2.2.fc4   installed         1.4 M
 vcdimager-libvcd-devel  i386       0.7.20-1.1.vlc   installed          68 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       0 Package(s)
Remove      24 Package(s)
Total download size: 0
Is this ok [y/N]:
in my book that aint a good sign to remove lol
 
Old 12-07-2005, 04:31 PM   #6
spooon
Senior Member
 
Registered: Aug 2005
Posts: 1,755

Rep: Reputation: 48
Oh I see, you have multiple versions. The "0.76-1.fc4" is the good Fedora Core version. So try "yum remove libcdio-0.70 libcdio-0.71 libcdio-0.72 cdinfo"
 
Old 12-07-2005, 04:39 PM   #7
wisdom
Member
 
Registered: Feb 2004
Distribution: Fedora 9
Posts: 226

Original Poster
Rep: Reputation: 31
thanks sorted it otherwise ... (pure drama doing it )
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Fedora Yum update problem klnasveschuk Fedora 3 10-11-2005 06:26 AM
I have problem to update with the update function under fedora core 2 babyboss Fedora 4 08-10-2005 07:34 AM
Fedora core 4 yum problem Lung-Dart Linux - Software 1 07-05-2005 08:44 PM
Yum update site for Fedora Core 2 raynet Fedora 4 02-14-2005 01:47 AM
yum update not working, fedora core 1 glider7rgs Fedora 2 07-11-2004 02:41 AM


All times are GMT -5. The time now is 10:58 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration